#!/bin/sh

gsdlhome=$GSDLHOME

if [ "$gsdlhome" == "" ]; then
    # assume tutorials in a subdir of gsdl
      pushd .. > /dev/null
      gsdlhome=`pwd`
      popd > /dev/null
fi

echo "procesing english version"
cd en
mkdir html

echo "User's manual (english)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl User_en.xml > html/User_en_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl User_en.xml > html/User_en_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl User_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Installer's manual (english)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Install_en.xml > html/Install_en_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Install_en.xml > html/Install_en_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Install_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Developer's manual (english)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Develop_en.xml > html/Develop_en_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Develop_en.xml > html/Develop_en_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Develop_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "From paper to collection (english)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Paper_en.xml > html/Paper_en_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Paper_en.xml > html/Paper_en_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Paper_en.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

cd ..


echo "procesing french version"
cd fr
mkdir html
cp -r images/ html/images
cp ../style.css html/

echo "User's manual (french)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl User_fr.xml > html/User_fr_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl User_fr.xml > html/User_fr_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl User_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Installer's manual (french)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Install_fr.xml > html/Install_fr_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Install_fr.xml > html/Install_fr_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Install_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Developer's manual (french)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Develop_fr.xml > html/Develop_fr_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Develop_fr.xml > html/Develop_fr_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Develop_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "From paper to collection (french)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Paper_fr.xml > html/Paper_fr_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Paper_fr.xml > html/Paper_fr_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Paper_fr.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

cd ..


echo "procesing spanish version"
cd es
mkdir html
cp -r images/ html/images
cp ../style.css html/

echo "User's manual (spanish)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl User_es.xml > html/User_es_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl User_es.xml > html/User_es_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl User_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Installer's manual (spanish)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Install_es.xml > html/Install_es_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Install_es.xml > html/Install_es_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Install_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Developer's manual (spanish)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Develop_es.xml > html/Develop_es_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Develop_es.xml > html/Develop_es_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Develop_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "From paper to collection (spanish)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Paper_es.xml > html/Paper_es_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Paper_es.xml > html/Paper_es_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Paper_es.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

cd ..


echo "procesing russian version"
cd ru
mkdir html
cp -r images/ html/images
cp ../style.css html/

echo "User's manual (russian)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl User_ru.xml > html/User_ru_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl User_ru.xml > html/User_ru_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl User_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Installer's manual (russian)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Install_ru.xml > html/Install_ru_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Install_ru.xml > html/Install_ru_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Install_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "Developer's manual (russian)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Develop_ru.xml > html/Develop_ru_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Develop_ru.xml > html/Develop_ru_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Develop_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

echo "From paper to collection (russian)"
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-index.xsl Paper_ru.xml > html/Paper_ru_index.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-one-html.xsl Paper_ru.xml > html/Paper_ru_all.html
java -cp $gsdlhome/gli:../ ApplyXSLT ../xml-to-many-html.xsl Paper_ru.xml | perl -S $gsdlhome/gli/help/splithelpdocument.pl
mv *.htm html/

cd ..
